Contents
Index 🔎︎

# ThisComponent Statement

Adresuje aktívny komponent, aby bolo možné čítať a umiestniť jeho vlastnosti. ThisComponent sa používa v dokumente Basic, kde predstavuje dokument patriaci k Basic. Typ objektu sprístupneného cez ThisComponent závisí od typu dokumentu.

## Syntax:

    ThisComponent

## Príklad:

    Sub Main
    REM aktualizuje "Obsah" v textovom dokumente
    Dim allindexes, index As Object
        allindexes = ThisComponent.getDocumentIndexes()
        index = allindexes.getByName("Obsah1")
        REM používa východzí názov pre Obsah a 1
        index.update()
    End Sub